Public Support - Support Request #8372

Failed to start ADTF Configuration Editor
2019-09-17 14:45 - hidden

Status: Closed

Priority: Normal

Category:

Customer: ACADEMIC Product Issue https://www.cip.audi.de/jira/browse/ACO
Numbers: RE-10173

Department: WEDEL Affected Products: ADTF 3.6.1, ADTF 3.6.2

Requester's Priority: Normal Platform: Ubuntu 16.04 64bit

Support Level: 3rd Level Topic: ADTF::CE

Resolution: Product Issue Opened FAQ Links:

Description

Supportanfrage

An der Fachhochschule Wedel méchten wir kiinftig mit dem neuen ADTF 3.6.1 arbeiten.

Bisher verwenden wir ADTF 3.3.1.

Ich habe ADTF 3.6.1 heruntergeladen und nach /opt/ADTF entpackt.
Ich habe ~/.cache geleert.
QT_QUICK_BACKEND=software ist gesetzt.

Ich starte den Configuration Editor mittels /opt/ADTF/3.6.1/bin/adtf_configuration_editor.

Leider stlrzt der Configuration Editor kurz nach der Anzeige des Spash Screens ab.
Den backirace habe ich angehéngt.

Was kann ich tun, damit der Fehler nicht auftritt?

Lésung

ACORE-10173 erstellt

History

#1 - 2019-09-17 16:41 - hidden

- Project changed from Public Support to 25
- Status changed from New to In Progress

- Topic set to ADTF::CE

- Customer set to ACADEMIC

- Department set to WEDEL

- Affected Products ADTF 3.6.1 added

- Platform Ubuntu 16.04 64bit added

Hallo Hermann,
geht es um ein AADC Fahrzeug ?
Oder um einen Desktop PC / VM Image ?
Kannst du bitte etwas Details zum OS geben ?
@Sebastian: Bitte wirf mal einen Blick drauf
#2 - 2019-09-18 11:00 - hidden
Hallo Florian,

geht es um ein AADC Fahrzeug?
Ja.

Es ist die Variante von 2017 mit 16 GB RAM, nachgeristet mit Lidar und
Basler-Kamera.
Kannst du bitte etwas Details zum OS geben ?

Es ist das 64bit 16.04 Ubuntu mit dem das Fahrzeug 2018 geliefert wurde
(Image neu aufgespielt).

Automatische Updates wurden nicht gemacht. Kernel ist weiterhin
4.4.0-130.

Die ab 3.5.0 mitgelieferten h&ufig gebrauchten Filter-Funktionen machen
das Entwickeln bequemer, aber wir kénnen auch ohne leben. :)
Falls ADTF 3.6.1 nicht funktioniert, bleiben wir eben auf 3.3.1.

Viele GruBBe
Hermann

#3 - 2019-09-18 11:20 - hidden

Hallo Hermann,

ja bitte unbedingt die neuere APl bzw. ADTF verwenden !!

@Bene: Fehlt noch was in dem Image ?

@Sebastian: Fallt dir was auf im Backtrace ?

@Hermann: Wenn du sagst, neues clean Image... hast du danach auch wieder eine Lizenz gesetzt ?

#4 - 2019-09-18 11:39 - hidden

@Flo: jaim Trace fliegt er raus im Screenhelper, er bekommt keinen Output vom Subprocess, der die Systemsettings auslesen will.
Allerdings bekommt er auch keinen Fehler sonst wuerde er gar nicht weitermachen und an die Stelle kommen wo es kracht.

@Hermann
kannst du mir evtl mal die Ausgabe des Terminals hier senden, wenn du folgenden Befehl eingibst 'gsettings get com.ubuntu.user-interface
scale-factor' ? Danke

#5 - 2019-09-18 13:20 - hidden
- File license.png added

Von: Hermann Héhne [mailto:hermann.hoehne@th-wedel.de]

Gesendet: Mittwoch, 18. September 2019 12:59

An: Support (Digitalwerk GmbH) <Support@digitalwerk.net>

Betreff: Re: [ACADEMIC Support - Support Request #8372] Supportanfrage: ADTF Configuration Editor

Hallo alle

Wenn du sagst, neues clean Image... hast du danach auch wieder eine Lizenz gesetzt ?
Ja, neue Lizenz habe ich drin.
Sagt zumindest der licenseviewer von 3.6.1 (siehe screenshot).

Das alte ADTF 3.3.1 startet auch ohne Probleme.

Aber Obacht: Ich verwende ein ALTES, sauberes Image.
(Ich habe 2018 eine Kopie des damaligen Auslieferungszustands gemacht.) Brauche ich u.U. ein neues Plattenabbild?

kannst du mir evtl mal die Ausgabe des Terminals hier senden

Ja, gern:

$ gsettings get com.ubuntu.user-interface scale-factor @a{si} {}

Das sieht nach einem leeren String anstelle einer Zahl aus. O_o
Vielen Dank fir Ihrer aller Hilfe!

Mit freundlichen GriiBen
Hermann

#6 - 2019-09-19 09:40 - hidden

@Hermann Vielen Dank fuer deine Nachricht und den kurzen Test, ich konnte das Problem lokalisieren.
@Flo Das kdnnte was fiir eine 3.6.3 sein, da es hier auf Ubuntu wohl doch Probleme mit dem Scaling gibt bzw. mit dem lesen der System settings
gibt.

#7 - 2019-09-19 17:11 - hidden

- Status changed from In Progress to To Be Closed

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10173

- Support Level changed from 2nd Level to 3rd Level

Hallo Hermann,

wir haben dazu ein Bugticket ACORE-10173 erstellt und werden das in ADTF 3.7.0 I&sen, der Release wird aber noch etwas dauern.
Bis dahin kannst du schon mal folgenden Stand verwenden (3.99.918), der den Fix fur dein Problem bereits enthalt:

e https://we.tl/t-KygHOBDAJA
Zudem sind noch ein paar Features aus dem master bereits enthalten, die in die 3.7.0 kommen:

e [ACORE-8146] - Autoupdate plugindescriptions on file/folder change

e [ACORE-8197] - Provide Ul Service to change properties during runtime

e [ACORE-8910] - License Viewer is dead - long lives the Licenser Tool

e [ACORE-9299] - Provide option to save the log output in ADTFDAT File

e [ACORE-9473] - Extend ADTF Control to list all loaded components

e [ACORE-9660] - Redesign Session Editor

¢ [ACORE-9706] - Provide a more helpful diagnostic when a plugin's implementation is missing the ADTF_PLUGIN macro
¢ [ACORE-9936] - Extend Filter Editor with filenames property of ADTFDAT File Player

e [ACORE-10086] - Provide an example to show TCP communication with Non-ADTF application
e [ACORE-10090] - Make console messages colorful

¢ [ACORE-10116] - Improve profiling blocks

e [ACORE-10128] - Add property changed callback to property_variable

Einige davon kdnnt ihr sicherlich gut verwenden.

Dennoch der Hinweis:

Das ist ein nightly, alle funktionalen Tests sind durchgelaufen aber kein Releasepriifung durchgefihrt, eine bessere BETA sozusagen.
Das wird sich bis zum Release noch andern.

Bitte gebt das bei weiteren Supportfallen stets mit an.

#8 - 2019-09-19 17:12 - hidden
- Subject changed from Supportanfrage: ADTF Configuration Editor to Failed to start ADTF Configuration Editor

- Description updated

#9 - 2019-09-23 15:12 - hidden

- Status changed from To Be Closed to In Progress

#10 - 2019-09-23 15:13 - hidden

Anwender schrieb:

Von: hoe <hoe@fh-wedel.de>

Gesendet: Montag, 23. September 2019 14:50

An: Support (Digitalwerk GmbH) <Support@digitalwerk.net>

Betreff: Re: [ACADEMIC Support - Support Request #8372] (To Be Closed) Supportanfrage: ADTF Configuration Editor

Moin Florian
Bis dahin kannst du schon mal folgenden Stand verwenden (3.99.918),
der den Fix fur dein Problem bereits enthalt:
Ein Custom Build! Weihnachten war aber frih dieses Jahr. :0 Danke, der Configuration Editor funktioniert.
Damit kann das Ticket nun geschlossen werden.
Leider nltzt mir das nichts, weil die vom AADC 2018 vorgegebenen essentiellen Filter (vor allem Kommunikation mit der Motorsteuerung tber
Arduino und Bilder von der Basler Kamera) nicht verwendet werden kénnen. Wahrend des Build-Prozesses wird zwar die Filterbeschreibung

erstellt und installiert (hier eine mit Préfix versehene Kopie des bei doc/adtf_html/page_demo_data_triggered_filter.html erwéhnten
Beispielfilters):
[INFO]: Loaded plugin:
"/home/aadc/AADC/src/aadcHoe/../../_install/linux64/bin/hoe_demo_data_triggered_filter.adtfplugin”
[runtime.cpp(1852)]

[INFO]: Registered class "hoe_demo_data_trigger.filter.adtf.cid". (

10 ) [runtime.cpp(2178)]

-- Installing:

/home/aadc/AADC/src/aadcHoe/../../_install/linux64/bin/hoe_demo_data_t

riggered._filter.adtfplugin

Das Plug-In kann im Configuration Editor weder im Release- noch im Debug-Modus hinzugefiigt werden (taucht einfach nicht auf) und daher
auch im Graph nicht benutzt werden. Ich mutmaRe, das liegt auBerhalb des Supports, ich frage aber hoffnungsvoll dennoch:
Hat sich am Build- oder Handhabungsprozess bewusst geandert? Falls ja, wo kann ich das nachlesen?

Viele GriBe
Hermann Hoéhne

#12 - 2019-09-23 15:23 - hidden

- Status changed from In Progress to To Be Closed

Dafiir hab ich mal ein neues Ticket erstellt -> #8424

#13 - 2019-10-09 08:45 - hidden

- File adtfproject.zip added

- File imwrite.png added

- File gt_video_does_not _display.log added

Guten Tag Digitalwerk Support Team (Florian/Sebastian?)

Ich versuche derzeit, ein Projekt von ADTF 3.3.1 auf 3.6.2 (bzw. custom build 3.99.918) zu portieren.

Ich scheitere schon beim simplen Anzeigen eines Videos.

Ich verwende ein mir vorgegebenes plug-in "Basler", welches unter ADTF 3.3.1 lauft. Das plug-in kommt von AADC. Ich kann es nicht neu bauen.
SchlieBe ich es Uber einen streaming in port an einen Filtergraph an, kann ich mit einem eigenen, gegen ADTF 3.99.918 gebauten Filter

auf die Bilder zugreifen (das Basler plug-in arbeitet also).

Ich wirde das Kamerabild gerne live sehen kdnnen. Daflr habe ich nichts anderes als den zu ADTF 3.99.918 beiliegenden "Qt Video Display Filter"
an den streaming port angeschlossen.
In ADTF 3.3.1 funktionierte dieses set-up. Leider erscheint in ADTF 3.99.918 das Qi Fenster nicht und ich kann das Video nicht sehen.

Die Kommandozeile zeigt mir
[WARNING]: error occured in 'unnamed_sample_stream' (category: 'stream_error'): Result code '-31 '(ERR_BAD_DEVICE) - [File: ] [Line: -1]
[Func: ] [error_handling.cpp(62)]

Ich vermute, ich habe irgendetwas nicht fur ADTF 3.99.918 richtig konfiguriert.

Ist erkennbar, was ich falsch mache?

Mit vielen GruBBen
Hermann Héhne

#14 - 2019-10-09 10:36 - hidden

@Hermann: bitte bei neuen Themen immer eine neue Mail schreiben/Ticket aufmachen, dann ist es auch thematisch getrennt/suchbar und geht nicht
verloren (ich h&ng hier noch zufallig auf dem geschlossenen Ticket)

Die Fehlermeldung ist nur eine Warning, kommt die auch im Gutfall mit deinem Filter? Kann es sein, dass das Video Display nur invisible ist (siehe
#8422)?

#16 - 2020-03-31 09:14 - hidden
- Project changed from 25 to Public Support

- Private changed from Yes to No

#17 - 2020-03-31 09:14 - hidden
- Affected Products ADTF 3.6.2 added
#18 - 2020-07-07 12:49 - hidden
- Status changed from To Be Closed to Closed
